aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxext/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'x11/libxext/APKBUILD')
-rw-r--r--x11/libxext/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/libxext/APKBUILD b/x11/libxext/APKBUILD
new file mode 100644
index 0000000000..74d79bce80
--- /dev/null
+++ b/x11/libxext/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxext
+pkgver=1.0.5
+pkgrel=1
+pkgdesc="X11 miscellaneous extensions library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="libx11"
+makedepends="pkgconfig xproto xextproto libx11-dev libxau-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXext-$pkgver.tar.bz2"
+
+depends_dev="xextproto libx11-dev libxau-dev"
+build() {
+ cd "$srcdir"/libXext-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="aa11d859cc8e9a0bad3bb55e1666547b libXext-1.0.5.tar.bz2"